Security Enhanced Linux Reference Policy

# Layer: admin

## Module: kudzu

Interfaces

### Description:

Hardware detection and configuration tools.

### Interfaces:

kudzu_admin( domain , role )

##### Summary

All of the rules required to administrate an kudzu environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

kudzu_domtrans( domain )

##### Summary

Execute kudzu in the kudzu domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

kudzu_getattr_exec_files( domain )

##### Summary

Get attributes of kudzu executable files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kudzu_run( domain , role )

##### Summary

Execute kudzu in the kudzu domain, and allow the specified role the kudzu domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return